﻿<%@ Page Title="Import" Language="C#" MasterPageFile="~/Site.Master" AutoEventWireup="true" CodeBehind="Import.aspx.cs" Inherits="Surveyor.Website.Import" %>

<%@ Register Assembly="DevExpress.Web.v16.1, Version=16.1.6.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a" Namespace="DevExpress.Web" TagPrefix="dx" %>
<%@ MasterType VirtualPath="~/Site.master" %>

<asp:Content ID="Content1" ContentPlaceHolderID="HeadContent" runat="server">
    <script type="text/javascript">
        function OnTextChanged(s, e) {

            // Get name of file uploaded
            var tempVal = document.getElementById('MainContent_FileUploadControl_TextBox0_Input').getAttribute('title');
            var file = s.GetText(e.inputIndex);
            if (file != '') {
                lblImportFile.SetText(file.split('\\').pop());
            }
            // Start upload
            s.Upload();
        }

    </script>
</asp:Content>

<asp:Content ID="Content2" ContentPlaceHolderID="MainContent" runat="server">


    <div style="padding: 10px 15px 10px 10px">

        <div style="padding-left: 10px;">
            <dx:ASPxLabel ID="lblTitle" runat="server" Text="Contacts" ForeColor="DarkOrange" Font-Size="X-Large" />
        </div>

        <br />

        <div style="float: left">
            <asp:UpdatePanel ID="upMatches" runat="server" UpdateMode="Conditional">
                <Triggers>
                    <asp:AsyncPostBackTrigger ControlID="btnLoad" EventName="Click" />
                </Triggers>
                <ContentTemplate>
                    <table>
                        <tr>
                            <td>
                                <dx:ASPxGridView
                                    ID="gvImportFieldMatch"
                                    runat="server"
                                    AutoGenerateColumns="false"
                                    Theme="Metropolis"
                                    DataSourceID="sdsImport"
                                    KeyFieldName="ImportId">
                                    <Columns>
                                        <dx:GridViewDataColumn FieldName="ImportId" VisibleIndex="0" Visible="false" ReadOnly="true" />
                                        <dx:GridViewDataColumn FieldName="SortOrder" VisibleIndex="1" Visible="false" />
                                        <dx:GridViewDataColumn FieldName="ContactField" VisibleIndex="2" Caption="Contact Field" Width="150" ReadOnly="true" />
                                        <dx:GridViewDataColumn FieldName="CSVField" VisibleIndex="3" Caption="CSV Field" Width="150" />
                                    </Columns>
                                    <Templates>
                                        <TitlePanel>
                                            <div style="float: right">
                                                <dx:ASPxButton ID="btnClearGrid" runat="server" Image-IconID="actions_clear_16x16" OnClick="btnClearGrid_Click" BackColor="Transparent" Border-BorderStyle="none" Height="20px" ToolTip="Clear import field mapping" />
                                            </div>
                                            <dx:ASPxLabel ID="CsvTitle" runat="server" Text="Contact Table" ForeColor="White" />
                                        </TitlePanel>
                                    </Templates>
                                    <SettingsPager Mode="ShowAllRecords" />
                                    <Settings
                                        VerticalScrollableHeight="200"
                                        VerticalScrollBarMode="Auto"
                                        ShowTitlePanel="True" />
                                    <SettingsBehavior
                                        AllowSelectByRowClick="true"
                                        AllowSelectSingleRowOnly="true"
                                        AllowFocusedRow="true"
                                        EnableRowHotTrack="false" />
                                     <Styles
                                     AlternatingRow-BackColor="WhiteSmoke">
                                     <Header BackColor="DarkOrange" ForeColor="White" />
                                 </Styles>
                                </dx:ASPxGridView>
                            </td>
                            <td style="padding-left: 10px; padding-right: 10px;">
                                <table style="padding-bottom: 5px;">
                                    <tr>
                                        <td>
                                            <dx:ASPxButton ID="btnMoveTo" runat="server" OnClick="btnMoveCsvFieldToContactField_Click" Image-IconID="arrows_prev_16x16" />
                                        </td>
                                    </tr>
                                    <tr>
                                        <td>
                                            <dx:ASPxButton ID="btnMoveFrom" runat="server" OnClick="btnMoveCsvFieldFromContactField_Click" Image-IconID="arrows_next_16x16" />
                                        </td>
                                    </tr>
                                </table>
                            </td>
                            <td style="vertical-align: text-top">
                                <dx:ASPxGridView
                                    ID="gvCSVFields"
                                    runat="server"
                                    ClientInstanceName="gvCSVFields"
                                    SelectionMode="CheckColumn"
                                    AutoGenerateColumns="false"
                                    Theme="Metropolis"
                                    KeyFieldName="Text">
                                    <Columns>
                                        <dx:GridViewDataColumn FieldName="Text" Caption="CSV File" Width="150"  />
                                    </Columns>
                                    <SettingsPager Mode="ShowAllRecords" />
                                    <Settings
                                        VerticalScrollableHeight="230"
                                        VerticalScrollBarMode="Auto" />
                                    <SettingsBehavior
                                        AllowSelectByRowClick="true"
                                        AllowSelectSingleRowOnly="true"
                                        AllowFocusedRow="true"
                                        EnableRowHotTrack="false" />
                                     <Styles
                                     AlternatingRow-BackColor="WhiteSmoke">
                                     <Header BackColor="DarkOrange" ForeColor="White" />
                                 </Styles>
                                </dx:ASPxGridView>
                            </td>
                        </tr>
                    </table>
                </ContentTemplate>
            </asp:UpdatePanel>
        </div>

        <div style="float: left">
            <table style="margin-left: 30px;">
                <tr>
                    <td>
                        <dx:ASPxLabel ID="lblImportFilelabel" runat="server" Text="File Name: " />
                    </td>
                    <td>
                        <asp:UpdatePanel ID="upimportFile" runat="server" UpdateMode="Always">
                            <ContentTemplate>
                                <dx:ASPxLabel ID="lblImportFile" runat="server" ClientInstanceName="lblImportFile" Text="" />
                            </ContentTemplate>
                        </asp:UpdatePanel>
                    </td>
                </tr>
                <tr>
                    <td>
                        <dx:ASPxLabel ID="lImport" runat="server" Text="Import File: " />
                    </td>
                    <td style="vertical-align: bottom; padding-top: 2px">
                        <dx:ASPxUploadControl
                            ID="FileUploadControl"
                            runat="server"
                            NullText=""
                            OnFileUploadComplete="FileUploadControl_FileUploadComplete"
                            ClientInstanceName="uploader"
                            Width="360px">
                            <ClientSideEvents FilesUploadStart="function(s,e) { lblImporting.SetText('Uploading. Please wait...'); }" />
                            <ClientSideEvents TextChanged="OnTextChanged" FileUploadComplete="function(s,e) { lblImporting.SetText(''); alert('Upload Complete'); }" />
                            <ValidationSettings MaxFileSize="20971520" AllowedFileExtensions=".txt, .csv" />
                            <BrowseButton Text="Browse" />
                        </dx:ASPxUploadControl>
                        <!-- 20971520 = 20 MB -->
                    </td>
                </tr>

                <tr>
                    <td colspan="2">
                        <asp:UpdatePanel ID="updListName" runat="server" UpdateMode="Conditional">
                            <ContentTemplate>
                                <table>
                                    <tr>
                                        <td>
                                            <dx:ASPxLabel ID="lblListName" runat="server" Text="List Name: " />
                                        </td>
                                        <td>
                                            <dx:ASPxTextBox ID="txtListName" runat="server"></dx:ASPxTextBox>
                                        </td>
                                        <td>&nbsp;&nbsp;</td>
                                        <td>
                                            <dx:ASPxLabel ID="lblDelimiter" runat="server" Text="Delimiter: "></dx:ASPxLabel>
                                        </td>
                                        <td style="text-align: left;">
                                            <dx:ASPxRadioButtonList ID="radioDelimitersList" runat="server" RepeatDirection="Horizontal" RepeatColumns="2" RepeatLayout="Table" Width="40px" AutoPostBack="true">
                                                <Items>
                                                    <dx:ListEditItem Text="Comma" Value="Comma" Selected="true" />
                                                    <dx:ListEditItem Text="Tab" Value="Tab" />
                                                </Items>
                                                <Border BorderStyle="None" />
                                            </dx:ASPxRadioButtonList>
                                        </td>
                                    </tr>
                                </table>
                            </ContentTemplate>
                        </asp:UpdatePanel>
                    </td>
                </tr>
                <tr>
                    <td></td>
                    <td>
                        <asp:UpdatePanel ID="UpdatePanel1" runat="server" UpdateMode="Conditional">
                            <ContentTemplate>
                                <table style="border-width: 0; border-collapse: collapse; border-spacing: 0;">
                                    <tr>
                                        <td>
                                            <dx:ASPxButton ID="btnLoad" runat="server" Text="Get Fields" Width="120px" Image-IconID="arrows_prev_16x16" Paddings-Padding="0px" AutoPostBack="true" OnClick="btnLoad_Click" />
                                        </td>
                                        <td>&nbsp;&nbsp;&nbsp;</td>
                                        <td>
                                            <dx:ASPxButton ID="btnImport" runat="server" ClientInstanceName="btnImport" Text="Import" Width="120px" Image-IconID="arrows_moveup_16x16" Paddings-Padding="0px" OnClick="btnImport_Click">
                                                <ClientSideEvents Click="function(s,e) { lblImporting.SetText('Importing.  Please wait...'); }" />
                                            </dx:ASPxButton>
                                        </td>
                                        <td>&nbsp;&nbsp;&nbsp;</td>
                                        <td>
                                            <dx:ASPxLabel ID="lblImporting" runat="server" ClientInstanceName="lblImporting" Text="" ForeColor="Blue" />
                                        </td>
                                    </tr>
                                </table>
                            </ContentTemplate>
                        </asp:UpdatePanel>
                    </td>
                </tr>
                <tr>
                    <td></td>
                    <td>
                        <dx:ASPxCheckBox ID="chkOverwriteContact" runat="server" Checked="false" Text="Update existing contacts" ToolTip="Match existing records by comparing the Name and Phone fields" TextAlign="Right"></dx:ASPxCheckBox>
                    </td>
                </tr>
            </table>
            <br />
            <br />
            <table style="margin-left: 30px;">
                <tr>
                    <td colspan="2" style="color: darkorange; font-size: large; padding-bottom: 5px;">Import Steps</td>
                </tr>
                <tr>
                    <td>1.&nbsp;&nbsp;</td>
                    <td>Click the <span style="color: darkorange">Browse</span> button to select the import file (.csv)</td>
                </tr>
                <tr>
                    <td>2.</td>
                    <td>Press the <span style="color: darkorange">Get Fields</span> button to load the CSV column hearders into the <span style="color: darkorange">CSV File</span> list box</td>
                </tr>
                <tr>
                    <td>3.</td>
                    <td>Match the CSV columns to the Contact columns</td>
                </tr>
                <tr>
                    <td>4.</td>
                    <td>Select whether to update existing contacts (Be sure to map the Name and Phone fields)</td>
                </tr>
                <tr>
                    <td>5.</td>
                    <td>Press the <span style="color: darkorange">Import</span> button</td>
                </tr>
            </table>
        </div>

        <div style="width: 100%; clear: both">&nbsp;</div>

        <div class="shadow" style="border: 1px solid gray; width: 100%; margin-top: 10px;">
            &nbsp;
         <table style="width: 100%; padding-right: 15px;">
             <tr>
                 <td rowspan="2" style="width: 80px; padding: 10px 10px 10px 10px; vertical-align: text-top">
                     <dx:ASPxFilterControl ID="fcFilter" runat="server" ClientInstanceName="fcFilter">
                         <Columns>
                             <dx:FilterControlTextColumn PropertyName="Name" ColumnType="String" />
                             <dx:FilterControlTextColumn PropertyName="Contact" ColumnType="String" />
                             <dx:FilterControlTextColumn PropertyName="Buyer" ColumnType="String" />
                             <dx:FilterControlTextColumn PropertyName="Caller" ColumnType="String" />
                             <dx:FilterControlTextColumn PropertyName="Address" ColumnType="String" />
                             <dx:FilterControlTextColumn PropertyName="Address2" ColumnType="String" />
                             <dx:FilterControlTextColumn PropertyName="City" ColumnType="String" />
                             <dx:FilterControlTextColumn PropertyName="State" ColumnType="String" />
                             <dx:FilterControlTextColumn PropertyName="ZipCode" ColumnType="String" />
                             <dx:FilterControlTextColumn PropertyName="Phone" ColumnType="String" />
                             <dx:FilterControlTextColumn PropertyName="PhoneExt" ColumnType="String" />
                             <dx:FilterControlTextColumn PropertyName="Phone2" ColumnType="String" />
                             <dx:FilterControlTextColumn PropertyName="Phone2Ext" ColumnType="String" />
                             <dx:FilterControlTextColumn PropertyName="Mobile" ColumnType="String" />
                             <dx:FilterControlTextColumn PropertyName="Fax" ColumnType="String" />
                             <dx:FilterControlTextColumn PropertyName="Email" ColumnType="String" />
                             <dx:FilterControlTextColumn PropertyName="Email2" ColumnType="String" />
                             <dx:FilterControlTextColumn PropertyName="Class" ColumnType="String" />
                             <dx:FilterControlTextColumn PropertyName="EndDate" ColumnType="DateTime" />
                             <dx:FilterControlTextColumn PropertyName="PriorAd" ColumnType="String" />
                             <dx:FilterControlTextColumn PropertyName="Operator" ColumnType="String" />
                             <dx:FilterControlTextColumn PropertyName="Territory" ColumnType="String" />
                             <dx:FilterControlTextColumn PropertyName="AdNumber" ColumnType="String" />
                             <dx:FilterControlTextColumn PropertyName="AcctNumber" ColumnType="String" />
                             <dx:FilterControlTextColumn PropertyName="ListName" ColumnType="String" />
                             <dx:FilterControlTextColumn PropertyName="ListDate" ColumnType="DateTime" />
                             <dx:FilterControlTextColumn PropertyName="ImportDate" ColumnType="DateTime" />
                             <dx:FilterControlTextColumn PropertyName="DoNotContact" ColumnType="Boolean" />
                             <dx:FilterControlTextColumn PropertyName="BuyingStatus" ColumnType="String" />
                             <dx:FilterControlTextColumn PropertyName="Private" ColumnType="Boolean" />
                             <dx:FilterControlTextColumn PropertyName="PriorityNotes" ColumnType="String" />
                             <dx:FilterControlTextColumn PropertyName="FirtOrder" ColumnType="DateTime" />
                             <dx:FilterControlTextColumn PropertyName="LastOrder" ColumnType="DateTime" />
                             <dx:FilterControlTextColumn PropertyName="LastContact" ColumnType="DateTime" />
                         </Columns>
                     </dx:ASPxFilterControl>
                     <br />
                     <dx:ASPxButton
                         runat="server"
                         ID="btnApply"
                         Text="Apply"
                         AutoPostBack="true"
                         UseSubmitBehavior="false"
                         Image-Url="~/Images/Refresh.png"
                         ImagePosition="Left"
                         OnClick="btnApply_Click" />
                     <br />
                     <br />
                     <br />
                     <dx:ASPxButton
                         runat="server"
                         ID="btnDelete"
                         Text="Delete" VerticalAlign="Bottom"
                         AutoPostBack="true"
                         UseSubmitBehavior="false"
                         Image-Url="~/Images/Delete.png"
                         ImagePosition="Left"
                         OnClick="btnDelete_Click">
                         <ClientSideEvents Click="function(s, e) {  
	                                        e.processOnServer = confirm('Delete All Contacts Information?'); }" />
                     </dx:ASPxButton>

                 </td>


                 <td style="vertical-align: text-top">
                     <!-- Query Text -->
                     <dx:ASPxMemo ID="SqlQuery" runat="server" Value='<%# Bind("SqlQuery")%>' Visible="true" Width="100%" Height="40px" />
                 </td>


             </tr>

             <tr>


                 <td>
                     <asp:UpdatePanel ID="upContacts" runat="server" UpdateMode="Conditional">
                         <ContentTemplate>
                             <!-- Results GridView -->
                             <dx:ASPxGridView
                                 ID="gvContacts"
                                 runat="server"
                                 AutoGenerateColumns="False"
                                 DataSourceID="sdsContacts"
                                 KeyFieldName="ContactId"
                                 Settings-ShowHorizontalScrollBar="true"
                                 Width="100%">
                                 <Columns>
                                     <dx:GridViewCommandColumn VisibleIndex="0" ButtonType="Image" Caption="&nbsp;" Width="60px" ShowInCustomizationForm="True" ShowClearFilterButton="true" ShowDeleteButton="true" />
                                     <dx:GridViewDataTextColumn FieldName="ContactId" VisibleIndex="01" Visible="False" ReadOnly="True" ShowInCustomizationForm="True" />
                                     <dx:GridViewDataTextColumn FieldName="Name" VisibleIndex="03" Caption="Name" Width="150px" ShowInCustomizationForm="True" />
                                     <dx:GridViewDataTextColumn FieldName="Contact" VisibleIndex="04" Caption="Contact" Width="150px" ShowInCustomizationForm="True" />
                                     <dx:GridViewDataTextColumn FieldName="Buyer" VisibleIndex="05" Caption="Buyer" Width="150px" ShowInCustomizationForm="True" />
                                     <dx:GridViewDataTextColumn FieldName="Caller" VisibleIndex="06" Caption="Caller" Width="90px" ShowInCustomizationForm="True" />
                                     <dx:GridViewDataTextColumn FieldName="Address" VisibleIndex="07" Caption="Address 1" Width="200px" ShowInCustomizationForm="True" />
                                     <dx:GridViewDataTextColumn FieldName="Address2" VisibleIndex="08" Caption="Address 2" Width="200px" ShowInCustomizationForm="True" />
                                     <dx:GridViewDataTextColumn FieldName="City" VisibleIndex="09" Caption="City" Width="150px" ShowInCustomizationForm="True" />
                                     <dx:GridViewDataTextColumn FieldName="State" VisibleIndex="10" Caption="State" Width="50px" ShowInCustomizationForm="True" />
                                     <dx:GridViewDataTextColumn FieldName="ZipCode" VisibleIndex="11" Caption="Zip Code" Width="90px" ShowInCustomizationForm="True" />
                                     <dx:GridViewDataTextColumn FieldName="Phone" VisibleIndex="12" Caption="Phone" Width="85px" ShowInCustomizationForm="True" />
                                     <dx:GridViewDataTextColumn FieldName="PhoneExt" VisibleIndex="13" Caption="Phone Ext" Width="35px" ShowInCustomizationForm="True" />
                                     <dx:GridViewDataTextColumn FieldName="Phone2" VisibleIndex="14" Caption="Phone2" Width="85px" ShowInCustomizationForm="True" />
                                     <dx:GridViewDataTextColumn FieldName="Phone2Ext" VisibleIndex="15" Caption="Phone2 Ext" Width="35px" ShowInCustomizationForm="True" />
                                     <dx:GridViewDataTextColumn FieldName="Mobile" VisibleIndex="16" Caption="Mobile" Width="85px" ShowInCustomizationForm="True" />
                                     <dx:GridViewDataTextColumn FieldName="Fax" VisibleIndex="17" Caption="Fax" Width="85px" ShowInCustomizationForm="True" />
                                     <dx:GridViewDataTextColumn FieldName="Email" VisibleIndex="18" Caption="Email 1" Width="165px" ShowInCustomizationForm="True" />
                                     <dx:GridViewDataTextColumn FieldName="Email2" VisibleIndex="19" Caption="Email 2" Width="165px" ShowInCustomizationForm="True" />
                                     <dx:GridViewDataTextColumn FieldName="Class" VisibleIndex="20" Caption="Class" Width="40px" ShowInCustomizationForm="True" />
                                     <dx:GridViewDataDateColumn FieldName="EndDate" VisibleIndex="21" Caption="End Date" Width="135px" ShowInCustomizationForm="True" PropertiesDateEdit-DisplayFormatString="g" />
                                     <dx:GridViewDataTextColumn FieldName="PriorAd" VisibleIndex="22" Caption="Prior Ad" Width="300px" ShowInCustomizationForm="True" />
                                     <dx:GridViewDataTextColumn FieldName="Operator" VisibleIndex="23" Caption="Operator" Width="80px" ShowInCustomizationForm="True" />
                                     <dx:GridViewDataTextColumn FieldName="Territory" VisibleIndex="24" Caption="Territory" Width="55px" ShowInCustomizationForm="True" />
                                     <dx:GridViewDataTextColumn FieldName="AdNumber" VisibleIndex="25" Caption="Ad Number" Width="75px" ShowInCustomizationForm="True" />
                                     <dx:GridViewDataTextColumn FieldName="AcctNumber" VisibleIndex="26" Caption="Acct Number" Width="85px" ShowInCustomizationForm="True" />
                                     <dx:GridViewDataTextColumn FieldName="ListName" VisibleIndex="27" Caption="List Name" Width="100px" ShowInCustomizationForm="True" />
                                     <dx:GridViewDataDateColumn FieldName="ListDate" VisibleIndex="28" Caption="List Date" Width="135px" ShowInCustomizationForm="True" PropertiesDateEdit-DisplayFormatString="g" />
                                     <dx:GridViewDataDateColumn FieldName="ImportDate" VisibleIndex="29" Caption="Import Date" Width="135px" ShowInCustomizationForm="True" PropertiesDateEdit-DisplayFormatString="g" />
                                     <dx:GridViewDataCheckColumn FieldName="DoNotContact" VisibleIndex="30" Caption="Do Not Contact" Width="35px" ShowInCustomizationForm="True" />
                                     <dx:GridViewDataDateColumn FieldName="BuyingStatus" VisibleIndex="31" Caption="Buying Status" Width="80px" ShowInCustomizationForm="True" />
                                     <dx:GridViewDataCheckColumn FieldName="Private" VisibleIndex="32" Caption="Private" Width="35px" ShowInCustomizationForm="True" />
                                     <%--                        <dx:GridViewDataMemoColumn  FieldName="PriorityNotes" VisibleIndex="33" Caption="Priority Notes" Width="165px" ShowInCustomizationForm="True" PropertiesMemoEdit-Height="10px"  />--%>
                                     <dx:GridViewDataDateColumn FieldName="FirstOrder" VisibleIndex="34" Caption="First Order" Width="135px" ShowInCustomizationForm="True" PropertiesDateEdit-DisplayFormatString="g" />
                                     <dx:GridViewDataDateColumn FieldName="LastOrder" VisibleIndex="35" Caption="Last Order" Width="135px" ShowInCustomizationForm="True" PropertiesDateEdit-DisplayFormatString="g" />
                                     <dx:GridViewDataDateColumn FieldName="LastContact" VisibleIndex="36" Caption="Last Contact" Width="135px" ShowInCustomizationForm="True" PropertiesDateEdit-DisplayFormatString="g" />
                                 </Columns>
                                 <Settings ShowFilterRow="true" ShowFilterRowMenu="true" />
                                 <SettingsCommandButton DeleteButton-Image-IconID="edit_delete_16x16" />
                                 <SettingsText CommandClearFilter="Clear" />
                                 <SettingsBehavior ColumnResizeMode="NextColumn" ConfirmDelete="true" />
                                 <SettingsPager PageSize="30" />
                                 <SettingsEditing
                                     PopupEditFormWidth="650px"
                                     Mode="PopupEditForm"
                                     PopupEditFormAllowResize="true"
                                     PopupEditFormHorizontalAlign="WindowCenter"
                                     PopupEditFormModal="true" />
                                 <Styles
                                     AlternatingRow-BackColor="WhiteSmoke">
                                     <Header BackColor="DarkOrange" ForeColor="White" />
                                 </Styles>
                             </dx:ASPxGridView>
                         </ContentTemplate>
                     </asp:UpdatePanel>
                 </td>
             </tr>
         </table>
            &nbsp;
        </div>
    </div>
    <asp:UpdatePanel ID="upMsgBox" runat="server" UpdateMode="Conditional">
        <ContentTemplate>
            <br />
            <dx:ASPxPopupControl
                ID="pcMsgBox"
                runat="server"
                MinWidth="250px"
                ClientInstanceName="pcMsgBox"
                AllowDragging="true"
                PopupAnimationType="Fade"
                PopupHorizontalAlign="WindowCenter"
                PopupVerticalAlign="WindowCenter"
                ContentStyle-Paddings-PaddingTop="25px"
                ContentStyle-Paddings-PaddingLeft="25px"
                ContentStyle-Paddings-PaddingRight="25px"
                ContentStyle-Paddings-PaddingBottom="15px"
                Theme="DevEx">
                <ContentCollection>
                    <dx:PopupControlContentControl>
                        <table style="width: 100%;">
                            <tr>
                                <td style="width: 40px;">
                                    <dx:ASPxImage ID="iIcon" runat="server" ImageUrl="~/Images/Info.png" />
                                </td>
                                <td>
                                    <dx:ASPxLabel ID="lblMsg" runat="server" Wrap="true" Text="" EncodeHtml="false" />
                                </td>
                            </tr>
                            <tr>
                                <td colspan="2">
                                    <div style="width: 65px; margin: 0 auto;">
                                        <br />
                                        <br />
                                        <dx:ASPxButton ID="btnOK" runat="server" Text="OK" Width="65px">
                                            <ClientSideEvents Click="function(s, e) { pcMsgBox.Hide(); }" />
                                        </dx:ASPxButton>
                                    </div>
                                </td>
                            </tr>
                        </table>
                    </dx:PopupControlContentControl>
                </ContentCollection>
            </dx:ASPxPopupControl>
        </ContentTemplate>
    </asp:UpdatePanel>

    <asp:SqlDataSource
        ID="sdsContacts"
        runat="server"
        ConnectionString="<%$ ConnectionStrings:3cxSurveyorConnectionString %>"
        SelectCommand="SELECT * FROM [Contacts] ORDER BY [Name]"
        DeleteCommand="DELETE FROM [Contacts] WHERE [ContactId] = @ContactId">
        <DeleteParameters>
            <asp:Parameter Name="ContactId" Type="Int32" />
        </DeleteParameters>
    </asp:SqlDataSource>

    <asp:SqlDataSource
        ID="sdsImport"
        runat="server"
        ConnectionString="<%$ ConnectionStrings:3cxSurveyorConnectionString %>"
        SelectCommand="SELECT * FROM [Import] where [ContactField] not in ('CreatedDate','CreatedBy')"
        InsertCommand="INSERT INTO [Import] ([ContactField], [CSVField], [SortOrder]) VALUES (@ContactField, @CSVField, @SortOrder)"
        UpdateCommand="UPDATE [Import] SET [ContactField] = @ContactField, [CSVField] = @CSVField, [SortOrder] = @SortOrder WHERE [ImportId] = @ImportId"
        DeleteCommand="DELETE FROM [Import] WHERE [ImportId] = @ImportId">
        <DeleteParameters>
            <asp:Parameter Name="ImportId" Type="Int64" />
        </DeleteParameters>
        <InsertParameters>
            <asp:Parameter Name="ContactField" Type="String" />
            <asp:Parameter Name="CSVField" Type="String" />
            <asp:Parameter Name="SortOrder" Type="Int32" />
        </InsertParameters>
        <UpdateParameters>
            <asp:Parameter Name="ContactField" Type="String" />
            <asp:Parameter Name="CSVField" Type="String" />
            <asp:Parameter Name="SortOrder" Type="Int32" />
            <asp:Parameter Name="ImportId" Type="Int64" />
        </UpdateParameters>
    </asp:SqlDataSource>

</asp:Content>
